package com.WPanelCollapseBug;

import eu.webtoolkit.jwt.WApplication;
import eu.webtoolkit.jwt.WBootstrapTheme;
import eu.webtoolkit.jwt.WContainerWidget;
import eu.webtoolkit.jwt.WEnvironment;
import eu.webtoolkit.jwt.WLabel;
import eu.webtoolkit.jwt.WLineEdit;
import eu.webtoolkit.jwt.WPanel;
import eu.webtoolkit.jwt.WVBoxLayout;
import eu.webtoolkit.jwt.WWidget;


public class WPanelCollapseBugApp extends WApplication {
	public WPanelCollapseBugApp(WEnvironment env) {
        super(env);
        
        
        
        // (un-)comment this to toggle Bootstrap theming
        WBootstrapTheme myTheme = new WBootstrapTheme();
        setTheme( myTheme );
        // (un-)comment this to toggle Bootstrap theming
        
        
        
        setTitle("WPanel-Collapse-Bug");
        
 
        WVBoxLayout vbox = new WVBoxLayout();
		getRoot().setLayout(vbox);

		
		// Product fold
		WContainerWidget productContainer = new WContainerWidget();
		WPanel productPanel = new WPanel();
		productPanel.setTitle( "Product" );
	    productPanel.setCollapsible(true);
		WVBoxLayout productLayout = new WVBoxLayout();		
		productContainer.setLayout( productLayout );
		WLineEdit productNameField = new WLineEdit();
		productLayout.addWidget(productNameField);		
		productPanel.setCentralWidget( productContainer );
		vbox.addWidget( productPanel );
		
		
		
		WLabel dummy = new WLabel( "dummy", getRoot() );
		vbox.addWidget(dummy);
		vbox.setStretchFactor(dummy, 1);
    }
	
	WWidget buildSchedulePane(){
		return new WLineEdit("Schedule Area");
	}
}
